/* 
 * INEM-Suxx, (c) Paco Brufal 1999
 *
 * See the file "proyecto.c" for details.
 */

#include <stdlib.h>
#include <curses.h>
#include <ctype.h>
#include <string.h>
#include <time.h>

#define MAX_OPTIONS ((sizeof(command)/sizeof(command[0])))
#define TAM 100
#define EMP 30

void display_menu (int,int);
void salir(void);
int dialogbox(char* message);
void alta_oferta(void);
void alta_dem(void);
void gen_html(char *tipo);
void html(void);
int compruebacif(char *cad);
int compruebadia(int dia);
int compruebames(int mes);
int compruebaanyo(int anyo);
int compruebaempleo(int cant);
int compruebasexo(char *cad);
int compruebasitu(char *cad);
int compruebapers(int pers);
int compruebadni(char *cad);
void cargar(char *fichero);
void salvar(void);
void mas_empleo(void);
void mas_titul(void);
void modificar(void);
void elimina(void);
void candi(void);
void ayuda(void);

int initTest (WINDOW **win);
int width;
int height;
int key;
int cambios;
int modifica;
int posicion;
int ult_emp;
int ult_tit;
int error=0;
int dia;
char *version="0.1";

WINDOW *win;
WINDOW *dialog;

struct reg_ofertas {
    char empresa[30];
    char cif[10];
    char sexo;
    int dia_ofer;
    int mes_ofer;
    int anyo_ofer;
    int tipo_emp;
    int num_per;
} ofertas[TAM];

struct reg_demandas {
    char nombre[30];
    char domicilio[35];
    char localidad[20];
    char provincia[20];
    char sit_lab;
    char sexo;
    int dia_dem;
    int mes_dem;
    int anyo_dem;
    int edad;
    int tipo_empleo1;
    int tipo_empleo2;
    int tipo_empleo3;
    int titul1;
    int titul2;
    int titul3;
    char dni[10];
} demandas[TAM];

struct menu_principal {
 char *text;
 void (*function)(void);
};
typedef struct menu_principal OP_PRIN;

struct reg_emp_tit {
    char empleo[20];
    char titulacion[15];
} emp_tit[EMP];

struct tm *date_total;
time_t fecha;

bool quit=FALSE;

OP_PRIN command[] = {{"Altas de ofertas",alta_oferta},{"Altas de demandas",alta_dem},
{"Elegir candidatos",candi},{"Eliminar entradas",elimina}, {"Modificar datos",modificar},
{"Aadir empleos",mas_empleo},{"Aadir titulaciones",mas_titul},{"Generar pginas HTML",html},
{"Guardar Cambios",salvar}};
